<html>
<head>
<title>OGRE: Ogre::QueuedRenderableVisitor Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1QueuedRenderableVisitor.html">QueuedRenderableVisitor</a></div>
<h1>Ogre::QueuedRenderableVisitor Class Reference</h1><!-- doxytag: class="Ogre::QueuedRenderableVisitor" -->Visitor interface for items in a <a class="el" href="classOgre_1_1QueuedRenderableCollection.html" title="Lowest level collection of renderables.">QueuedRenderableCollection</a>.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::QueuedRenderableVisitor:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1QueuedRenderableVisitor-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a639df153b7748f890d3d11d64e6a0e8">QueuedRenderableVisitor</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#9e9fca8d2b7fd4c75a24b6c7f8b1b234">~QueuedRenderableVisitor</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#b34d488ef550f1ca3699daaa7d376b78">visit</a> (const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> *rp)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Called when visiting a <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a>, ie items in a sorted collection where items are not grouped by pass.  <a href="#b34d488ef550f1ca3699daaa7d376b78"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#a36694ac36f96d8c9c9363279b97bef4">visit</a> (const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *p)=0</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1QueuedRenderableVisitor.html#74d8332544721e5d1a6abb3481fa091c">visit</a> (const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *r)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Visit method called once per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> on a grouped collection.  <a href="#74d8332544721e5d1a6abb3481fa091c"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Visitor interface for items in a <a class="el" href="classOgre_1_1QueuedRenderableCollection.html" title="Lowest level collection of renderables.">QueuedRenderableCollection</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Those wishing to iterate over the items in a <a class="el" href="classOgre_1_1QueuedRenderableCollection.html" title="Lowest level collection of renderables.">QueuedRenderableCollection</a> should implement this visitor pattern, since internal organisation of the collection depends on the sorting method in use. </dd></dl>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00064">64</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="a639df153b7748f890d3d11d64e6a0e8"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::QueuedRenderableVisitor" ref="a639df153b7748f890d3d11d64e6a0e8" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Ogre::QueuedRenderableVisitor::QueuedRenderableVisitor           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00067">67</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9e9fca8d2b7fd4c75a24b6c7f8b1b234"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::~QueuedRenderableVisitor" ref="9e9fca8d2b7fd4c75a24b6c7f8b1b234" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::QueuedRenderableVisitor::~QueuedRenderableVisitor           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html#l00068">68</a> of file <a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="b34d488ef550f1ca3699daaa7d376b78"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::visit" ref="b34d488ef550f1ca3699daaa7d376b78" args="(const RenderablePass *rp)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::QueuedRenderableVisitor::visit           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="structOgre_1_1RenderablePass.html">RenderablePass</a> *&nbsp;</td>
          <td class="paramname"> <em>rp</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Called when visiting a <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a>, ie items in a sorted collection where items are not grouped by pass. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If this is called, neither of the other 2 visit methods will be called. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#38d41c37b23fa834ea0e783e29ae21fe">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a>.</p>

</div>
</div><p>
<a class="anchor" name="a36694ac36f96d8c9c9363279b97bef4"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::visit" ref="a36694ac36f96d8c9c9363279b97bef4" args="(const Pass *p)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::QueuedRenderableVisitor::visit           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Pass.html">Pass</a> *&nbsp;</td>
          <td class="paramname"> <em>p</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#d6faf056bf49c141a2792e86693a74df">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a>.</p>

</div>
</div><p>
<a class="anchor" name="74d8332544721e5d1a6abb3481fa091c"></a><!-- doxytag: member="Ogre::QueuedRenderableVisitor::visit" ref="74d8332544721e5d1a6abb3481fa091c" args="(const Renderable *r)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::QueuedRenderableVisitor::visit           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Renderable.html">Renderable</a> *&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Visit method called once per <a class="el" href="classOgre_1_1Renderable.html" title="Abstract class defining the interface all renderable objects must implement.">Renderable</a> on a grouped collection. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If this method is called, the <a class="el" href="structOgre_1_1RenderablePass.html" title="Struct associating a single Pass with a single Renderable.">RenderablePass</a> visit method will not be called for this collection. </dd></dl>

<p>Implemented in <a class="el" href="classOgre_1_1SceneManager_1_1SceneMgrQueuedRenderableVisitor.html#55b8a5b1226af739ebf0655817d09a74">Ogre::SceneManager::SceneMgrQueuedRenderableVisitor</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreRenderQueueSortingGrouping_8h-source.html">OgreRenderQueueSortingGrouping.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:06 2008
</p>
</body>
</html>
